#include <stdio.h>
#include <stdlib.h>
#include <errno.h>

void *__fname(const char *);

int rename(const char *old,const char *new)
{
  __pdos_cmd.rename.cnt=2;
  __pdos_cmd.rename.name=__fname(old);
  if(!__pdos_cmd.rename.name) return -1;
  __pdos_cmd.rename.new_name=__fname(new);
  if(!__pdos_cmd.rename.new_name){free(__pdos_cmd.rename.name); return -1;}
  __pdos_call(PDOS_RENAME);
  free(__pdos_cmd.rename.name);
  free(__pdos_cmd.rename.new_name);
  if(__pdos_err){errno=__pdos_err;return -1;}
  return 0;
}
